
Infrastructure - Story #2865

Create Service Method Restriction LDAP entry for getLogRecords

2012-06-07 15:56 - Skye Roseboom

Status: Closed Start date: 2012-06-07

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_log_aggregation Estimated time: 0.00 hour

Target version: Sprint-2012.27-Block.4.2   

Story Points:    

Description

Restrict CNCore.getLogRecords to admin subjects as defined in /etc/dataone/node.properties.

Need ability to add subjects to the ServiceMethodRestriction configuration for getLogRecords - to enable non-admin subject access

to /cn/v1/log endpoint.  

Will be captured as an ldif file that is added to ldap using ldap tools (ldapadd)

History

#1 - 2012-06-11 16:57 - Skye Roseboom

- Subject changed from Add Service Method Restriction for getLogRecords to Create Service Method Restriction LDAP entry for getLogRecords

- Tracker changed from Task to Story

#2 - 2012-06-11 16:57 - Skye Roseboom

- Status changed from New to In Progress

#3 - 2012-06-14 22:53 - Skye Roseboom

- Milestone changed from CCI-1.0.0 to CCI-1.0.1

#4 - 2012-06-18 19:45 - Skye Roseboom

- Milestone changed from CCI-1.0.1 to CCI-1.0.2

#5 - 2012-06-19 14:43 - Skye Roseboom

- Target version changed from Sprint-2012.23-Block.3.4 to Sprint-2012.27-Block.4.2

#6 - 2012-06-19 14:43 - Skye Roseboom

- Target version changed from Sprint-2012.27-Block.4.2 to Sprint-2012.25-Block.4.1

- Position set to 1

- Position changed from 1 to 459

#7 - 2012-06-26 20:04 - Skye Roseboom

- Milestone changed from CCI-1.0.2 to CCI-1.0.3

#8 - 2012-07-09 13:58 - Dave Vieglais

- Target version changed from Sprint-2012.25-Block.4.1 to Sprint-2012.27-Block.4.2

#9 - 2012-07-09 16:05 - Skye Roseboom

- Status changed from In Progress to Closed

- File removeUserFromLogRestriction added
- File createLogRecordMethodRestriction added

- File addUserToLogRestriction added

Example ldif files for creating log service method restriction, adding a user, and removing a subject.

Files

addUserToLogRestriction 199 Bytes 2012-07-09 Skye Roseboom

createLogRecordMethodRestriction 282 Bytes 2012-07-09 Skye Roseboom

removeUserFromLogRestriction 203 Bytes 2012-07-09 Skye Roseboom
